com.hazelcast.spi

## Enum ExceptionAction

- java.lang.Object
- - java.lang.Enum<ExceptionAction>
  - - com.hazelcast.spi.ExceptionAction

- All Implemented Interfaces:
    Serializable, Comparable<ExceptionAction>

      public enum ExceptionAction
      extends Enum<ExceptionAction>

  The possible actions that can be taken when a certain exception is thrown. E.g. when a map.get is executed on a member where the partition has just moved to another box, the ExceptionAction.RETRY_INVOCATION would be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RETRY_INVOCATION` Indicates that the operation can be retried.
    `THROW_EXCEPTION` Indicates that the exception should be bubble up.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExceptionAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExceptionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETRY_INVOCATION

          public static final ExceptionAction RETRY_INVOCATION

      Indicates that the operation can be retried.

    - #### THROW_EXCEPTION

          public static final ExceptionAction THROW_EXCEPTION

      Indicates that the exception should be bubble up.

  - ### Method Detail

    - #### values

          public static ExceptionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExceptionAction c : ExceptionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExceptionAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.